<template>
  <div>
    <v-btn
      :color="color"
      dark
      tile
      class="canvas-switcher-add-button"
      @click="$emit('add', direction)"
    >
      <v-icon>{{ icon }}</v-icon>
    </v-btn>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';

@Component
export default class CanvasSwitcherAddButton extends Vue {
  @Prop({ default: 'horizontal' })
  direction?: string;

  private get icon() {
    return `mdi-view-split-${this.iconDirection}`;
  }

  private get iconDirection() {
    return this.direction === 'horizontal' ? 'vertical' : 'horizontal';
  }

  private color = this.$store.state.primaryColor;
}
</script>

<style lang="scss" scoped>
.canvas-switcher-add-button {
  box-shadow: none;
  height: 100% !important;
}
</style>
